Commit c29f1653 authored by Anthony Larcher's avatar Anthony Larcher
Browse files

refactoring

parent e2bcaeeb
s4d-0.5.0, 23/01/2020 -- Repackaging and creation of CHANGES.txt s4d-0.1.0, 23/01/2020 -- Repackaging and creation of CHANGES.txt
\ No newline at end of file \ No newline at end of file
Diarization lib
+++++++++++++++
=============================
S4D - Sidekit For Diarization
=============================
| **S4D** is an open source package for speaker diarization.
| The aim of **S4D** is to provide an educational and efficient toolkit
| for speaker diarization including the whole chain of treatment
| that goes from the audio data to the analysis of the system performance.
PREREQUISITES
=============
*Sidekit for Diarization* requires the following software installed for your platform:
1. [Python](http://www.python.org)
2. [NumPy](http://www.numpy.org/)
3. [Scipy](http://http://www.scipy.org/)
4. [Pandas](http://http://www.pandas.org/)
5. [GLPK](https://www.gnu.org/software/glpk/)
6. [Sphinx 1.1.0 or newer](http://http://sphinx-doc.org/) to build the documentation
7. [SIDEKIT](https://lium.univ-lemans.fr/sidekit/)
INSTALLATION
============
We recommend the use of a virtual environment (e.g. [Miniconda](https://conda.io/miniconda.html) or [Virtualenv](https://virtualenv.readthedocs.io/en/latest/)).
TUTORIALS
=========
Once your installation is complete, you can take a look at the [tutorials](https://git-lium.univ-lemans.fr/Meignier/s4d/tree/master/tutorials).
:Authors:
Sylvain Meignier \&
Anthony Larcher \&
Pierre-Alexandre Broux \&
Florent Desnous
:Version: 0.1.0 of 2020/01/23
\ No newline at end of file
...@@ -2,7 +2,7 @@ package: ...@@ -2,7 +2,7 @@ package:
name: s4d name: s4d
source: source:
git_tag: v.0.5.0 git_tag: v.0.1.0
git_url: https://git-lium.univ-lemans.fr/Meignier/s4d.git git_url: https://git-lium.univ-lemans.fr/Meignier/s4d.git
requirements: requirements:
......
...@@ -49,7 +49,6 @@ setup( ...@@ -49,7 +49,6 @@ setup(
"h5py>=2.5.0", "h5py>=2.5.0",
"pandas>=0.21.1", "pandas>=0.21.1",
"PyAudio==0.2.11", "PyAudio==0.2.11",
"ecyglpki==0.2.0",
"bottleneck>=1.3.1", "bottleneck>=1.3.1",
"setuptools>=38.5.2", "setuptools>=38.5.2",
"sidekit>1.3", "sidekit>1.3",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment